summaryrefslogtreecommitdiffstats
path: root/libraries/libnet/libnet.SlackBuild
diff options
context:
space:
mode:
author Alan_Hicks2010-05-11 14:56:21 +0200
committer Michiel van Wessem2010-05-11 14:56:21 +0200
commita897240faf6e13bfab01d5a9d619dbba4a65a190 (patch)
treec51fe987613dc4af552f03ac1f204cf755c0f3f6 /libraries/libnet/libnet.SlackBuild
parentaa4dbf1b71041fdfec1ddf44b0c1cbd2e1323a84 (diff)
downloadslackbuilds-a897240faf6e13bfab01d5a9d619dbba4a65a190.tar.gz
libraries/libnet: Initial import
Diffstat (limited to 'libraries/libnet/libnet.SlackBuild')
-rw-r--r--libraries/libnet/libnet.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/libraries/libnet/libnet.SlackBuild b/libraries/libnet/libnet.SlackBuild
new file mode 100644
index 0000000000..961357a46a
--- /dev/null
+++ b/libraries/libnet/libnet.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+# Copyright 2006, Alan Hicks, Lizella, GA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=libnet
+VERSION=1.1.2.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/pkg-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+# libnet is one of those braindead source tarballs that lacks
+# the version. We'll fix that for consistency with other
+# slackbuilds.org scripts.
+mv $PRGNAM $PRGNAM-$VERSION || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+# Fix ownership and permissions inside the source tarball.
+# It's appalling how many projects have 777 permissions or
+# even suid, sgid, and sticky bits set on things.
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ || exit 1
+
+make || exit 1
+make prefix=$PKG/usr install || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# More libnet brain-deadness
+cp -a doc/man $PKG/usr
+rm -fr $PKG/usr/man/CVS \
+ $PKG/usr/doc/$PRGNAM-$VERSION/CVS \
+ $PKG/usr/doc/$PRGNAM-$VERSION/man
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz